version: '2.2'
services:
  postgres95:
    image: registry.yaltik.net/postgres:yaltik95

  postgres96:
    image: registry.yaltik.net/postgres:yaltik96

  postgres10:
    image: registry.yaltik.net/postgres:yaltik10

  odoo8c7:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.8.centos7
    image: registry.yaltik.net/odoo:yaltik8c7

  openerp60:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.60
    image: registry.yaltik.net/openerp:yaltik60

  openerpweb60:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.web.60
    image: registry.yaltik.net/openerpweb:yaltik60

  odoobase10c7:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.10.centos7
    image: registry.yaltik.net/odoo:yaltikbase10c7

  odoo10c7:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.ext.10.centos7
    image: registry.yaltik.net/odoo:yaltik10c7

  # odoo11:
  #   init: true
  #   build:
  #     context: ./odoo
  #     dockerfile: Dockerfile.11
  #   image: registry.yaltik.net/odoo:yaltik11

  # odoobase12:
  #   init: true
  #   build:
  #     context: ./odoo
  #     dockerfile: Dockerfile.12
  #   image: registry.yaltik.net/odoo:yaltikbase12

  odoobase12ol8:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.12.ol8
    image: registry.yaltik.net/odoo:yaltikbase12ol8

  # odoo12:
  #   init: true
  #   build:
  #     context: ./odoo
  #     dockerfile: Dockerfile.ext.12
  #   image: registry.yaltik.net/odoo:yaltik12

  odoo12ol8:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.ext.12.ol8
    image: registry.yaltik.net/odoo:yaltik12ol8

  odoobase13:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.13
    image: registry.yaltik.net/odoo:yaltikbase13

  odoobase14:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.14
    image: registry.yaltik.net/odoo:yaltikbase14

  odoo14:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.ext.14
    image: registry.yaltik.net/odoo:yaltik14

  odoobase15:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.15
    image: registry.yaltik.net/odoo:yaltikbase15

  odoo15:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.ext.15
    image: registry.yaltik.net/odoo:yaltik15

  odoobase16:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.16
    image: registry.yaltik.net/odoo:yaltikbase16

  odoo16:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.ext.16
    image: registry.yaltik.net/odoo:yaltik16

  # flectra:
  #   init: true
  #   build:
  #     context: ./flectra
  #     dockerfile: Dockerfile
  #   image: registry.yaltik.net/flectra:yaltik1pg96

  # flectrapg10:
  #   init: true
  #   build:
  #     context: ./flectra
  #     dockerfile: Dockerfile.pg10
  #   image: registry.yaltik.net/flectra:yaltik1pg10

  odoocmdc7:
    build:
      context: ./scripts
      dockerfile: Dockerfile.c7
    image: registry.yaltik.net/odoocmd:yaltikc7

  odoobackupc7:
    build:
      context: ./backups
      dockerfile: Dockerfile.c7
    image: registry.yaltik.net/odoobackup:yaltikc7
